darcs

Issue 2314 cannot put "obliterate output-auto-name" in defaults file

Title cannot put "obliterate output-auto-name" in defaults file
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List bf
Assigned To
Topics

Created on 2013-03-14.11:58:38 by bf, last changed 2014-06-25.00:10:51 by noreply.

Files
File name Uploaded Type Edit Remove
.darcs-version.txt bf, 2013-03-14.11:58:35 text/plain
resolve-issue2314_-output_auto_name-in-defaults-file.dpatch bf, 2014-04-03.17:03:27 application/octet-stream
Messages
msg16752 (view) Author: bf Date: 2013-03-14.11:58:35
1. Summarise the issue (what were doing, what went wrong?)

I added the line "obliterate output-auto-name" to my ~/.darcs/defaults.
Then I get

> darcs obliterate                   
darcs: Bad default option: command 'obliterate' has no option
'output-auto-name'.

But 'darcs obliterate' has this option:

> darcs obliterate --output-auto-name
Thu Mar 14 12:49:57 CET 2013  benjamin.franksen@helmholtz-berlin.de
  * test
Shall I obliterate this patch? (1/11)  [ynW...], or ? for more options: d
No patches selected!

3. What darcs version are you using? (Try: darcs --exact-version)

darcs-2.8.4

4. What operating system are you running?

Linux aragon 2.6.18-6-686 #1 SMP Fri Feb 19 23:40:03 UTC 2010 i686 GNU/Linux
Attachments
msg16753 (view) Author: bf Date: 2013-03-14.12:23:14
Same with 2.9.7 (+ 90 patches)
msg17581 (view) Author: noreply Date: 2014-06-25.00:10:50
The following patch sent by benjamin.franksen@helmholtz-berlin.de updated issue issue2314 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2314: output-auto-name in defaults file 
Ignore-this: 6dbd187b78bc2b108920cc0eaabfa5af
History
Date User Action Args
2013-03-14 11:58:38bfcreate
2013-03-14 12:23:15bfsetmessages: + msg16753
2014-04-03 17:03:28bfsetfiles: + resolve-issue2314_-output_auto_name-in-defaults-file.dpatch
2014-06-25 00:10:51noreplysetstatus: unknown -> resolved
messages: + msg17581
resolvedin: 2.10.0 HEAD